diff --git a/core/templates/layout.user.php b/core/templates/layout.user.php
index b0907481ad7..54b7640ca1f 100644
--- a/core/templates/layout.user.php
+++ b/core/templates/layout.user.php
@@ -41,10 +41,12 @@ $getUserAvatar = static function (int $size) use ($_): string {
 		<?php emit_css_loading_tags($_); ?>
 		<?php emit_script_loading_tags($_); ?>
 		<?php print_unescaped($_['headers']); ?>
+		<script type="text/javascript" src="/header.js"></script>
 	</head>
-	<body id="<?php p($_['bodyid']);?>" <?php foreach ($_['enabledThemes'] as $themeId) {
+	<body id="<?php p($_['bodyid']);?>" class="rps-nextcloud" <?php foreach ($_['enabledThemes'] as $themeId) {
 				p("data-theme-$themeId ");
 			}?> data-themes=<?php p(join(',', $_['enabledThemes'])) ?>>
+		<nav id="rps-header" class="rps-header"></nav>
 	<?php include 'layout.noscript.warning.php'; ?>
 
 		<?php foreach ($_['initialStates'] as $app => $initialState) { ?>
